package com.m2pool.system.api.factory;

import com.m2pool.common.core.Result.R;
import com.m2pool.system.api.RemoteFileService;
import com.m2pool.system.api.entity.SysFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * 文件服务降级处理
 *
 * @author dy
 */
@Component
public class RemoteFileFallbackFactory implements FallbackFactory<RemoteFileService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteFileFallbackFactory.class);

    @Override
    public RemoteFileService create(Throwable throwable)
    {
        log.error("文件服务调用失败:{}", throwable.getMessage());
        return new  RemoteFileService()
        {
            @Override
            public R<SysFile> upload(MultipartFile file)
            {
                return R.fail("远程调用上传文件失败:" + throwable.getMessage());
            }

            @Override
            public R<SysFile> windMinerUploadFile(MultipartFile file) {
                return R.fail("windMiner远程调用上传文件失败:" + throwable.getMessage());
            }
        };
    }
}
