package com.m2pool.common.core.constant;

/**
 * @Description 缓存的key
 * @Date 2024/6/12 17:22
 * @Author dy
 */
public class CacheConstants
{
    /**
     * 缓存有效期，默认6个月 60*24*30*3=129600（分钟）
     */
    public final static long EXPIRATION = 129600;

    /**
     * 缓存刷新时间，默认120（分钟）
     */
    public final static long REFRESH_TIME = 120;

    /**
     * 权限缓存前缀
     */
    public final static String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * api-key缓存前缀
     */
    public final static String OPEN_API_KEY = "api_key:";
}
