package com.m2pool.chat.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.m2pool.chat.dto.ChatRoomDto;
import com.m2pool.chat.entity.ChatRoom;
import com.m2pool.chat.vo.CharRoomVo;
import com.m2pool.chat.vo.RoomPageVo;
import com.m2pool.chat.vo.RoomVo;
import com.m2pool.common.core.Result.R;
import com.m2pool.common.core.web.page.TableDataInfo;

public interface ChatRoomService extends IService<ChatRoom> {

    /**
     * 查询客服的聊天室列表
     * @param roomPageVo
     * @return
     */
    TableDataInfo<ChatRoomDto> findRoomList(RoomPageVo roomPageVo);

    /**
     * 根据当前用户邮箱查询聊天室
     * @return
     */
    R<ChatRoomDto> findRoomByUserid(RoomVo roomVo);

    /**
     * 修改聊天室信息
     * @param charRoomVo
     * @return
     */
    R<String> updateRoom( CharRoomVo charRoomVo);

}