package com.m2pool.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description 用户请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "用户挖矿账户详情请求对象")
public class ManageMiningUserDto {


    @ApiModelProperty(value = "用户名（邮箱）",example = "1328642438@qq.com",required = true)
    private String user;

    @ApiModelProperty(value = "用户对应的挖矿账号（一个用户可以对应多个）",example = "miner",required = true)
    private String minerUser;

    @ApiModelProperty(value = "币种",example = "nexa",required = true)
    private String coin;
}
