package com.m2pool.manage.dto;

import cn.hutool.core.date.DateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Description 用户请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "用户挖矿账户详情请求对象")
public class ManageMiningUserPowerDto {

    @ApiModelProperty(value = "挖矿账户",example = "miner")
    private String minerUser;


    @ApiModelProperty(value = "时间",example = "2024-11-28T11:00:00")
    private Date date;

    @ApiModelProperty(value = "算力",example = "0.000000000")
    private BigDecimal pv;

    @ApiModelProperty(value = "算力单位",example = "GH/s")
    private String unit;
}
