package com.m2pool.manage.dto;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.catalina.LifecycleState;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description 查询用户详情信息放回对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ManageUserInfoDto", description = "查询用户详情信息放回对象")
public class ManageUserInfoDto {


    @ApiModelProperty(value = "用户对应的挖矿账号（一个用户可以对应多个）",example = "ceshi1")
    private String  user;

    @ApiModelProperty(value = "币种",example = "nexa")
    private String coin;

    @ApiModelProperty(value = "转账地址",example = "D7tviVPKtTd2qnkzJEVfZWQqzV6NyQqHxw")
    private String address;

    @ApiModelProperty(value = "收益分配日期",example = "2025-06-16 00:00:00")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "实际转账日期",example = "2025-06-16 00:00:00")
    private LocalDateTime shouldOutDate;

    @ApiModelProperty(value = "最大高度",example = "100000")
    private String maxHeight;

    @ApiModelProperty(value = "交易金额",example = " 273920.9666238700")
    private BigDecimal amount;


}
