package com.m2pool.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description 钱包收益详情信息返回对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "WalletEarningsInfoDto", description = "钱包收益详情信息返回对象")
public class WalletEarningsInfoDto {

    @ApiModelProperty(value = "钱包余额",example = "100000.0000000000")
    private BigDecimal accountBalance;

    @ApiModelProperty(value = "钱包历史地址集合",example = "")
    List<HistoryBalanceDto> historyBalance;

    @ApiModelProperty(value = "钱包收益信息集合",example = "")
    List<ManageUserInfoDto> walletInInfo ;
}
