package com.m2pool.manage.utils;

import com.alibaba.nacos.shaded.com.google.gson.JsonArray;
import com.alibaba.nacos.shaded.com.google.gson.JsonObject;
import com.alibaba.nacos.shaded.com.google.gson.JsonParser;

import java.util.HashMap;
import java.util.Map;

public class TranslateUtils {
    private static final String TRANS_API_HOST = "https://fanyi-api.baidu.com/api/trans/vip/translate";

    private static String appid = "20250702002395339";
    private static String securityKey ="yKbjIAIg_FpbdESYaE7A";

    public static String translate(String query, String from, String to) {
        Map<String, String> params = buildParams(query, from, to);
        String s = HttpGet.get(TRANS_API_HOST, params);
        return extractDstFromResponse(s);
    }

    private static Map<String, String> buildParams(String query, String from, String to) {
        Map<String, String> params = new HashMap<String, String>();
        params.put("q", query);
        params.put("from", from);
        params.put("to", to);

        params.put("appid", appid);

        // 随机数
        String salt = String.valueOf(System.currentTimeMillis());
        params.put("salt", salt);

        // 签名
        String src = appid + query + salt + securityKey; // 加密前的原文
        params.put("sign", MD5Utils.md5(src));

        return params;
    }


    private static String extractDstFromResponse(String response) {

        try {
            JsonObject jsonObject = JsonParser.parseString(response).getAsJsonObject();
            JsonArray transResultArray = jsonObject.getAsJsonArray("trans_result");
            if (transResultArray.size() > 0) {
                JsonObject firstResult = transResultArray.get(0).getAsJsonObject();
                return firstResult.get("dst").getAsString();
            }
        } catch (Exception e) {
            System.out.println("翻译结果解析失败"+e.getMessage()+"翻译结果："+response);
        }
        return "";
    }

}
