package com.m2pool.manage.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description 查询用户详情信请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ManageUserInfoVo", description = "查询用户详情信请求对象")
public class ManageUserInfoVo {


    @ApiModelProperty(value = "用户对应的挖矿账号（一个用户可以对应多个）",example = "ceshi1",required = true)
    private String  minerUser;

    @ApiModelProperty(value = "币种",example = "nexa",required = true)
    private String coin;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开始时间",example = "2025-06-22")
    private Date startDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束时间",example = "2025-06-22")
    private Date endDate;
}
