package com.m2pool.pool.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description 矿工信息总览表对象
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class MinerListDto implements Serializable {

    /** 总矿机数 */
    private int all;

    /** 在线矿机数 */
    private int online;

    /** 离线矿机数 */
    private int offline;

    /** 矿工名 */
    private String miner;

    /** 1小时平均算力 */
    private double rate;

    /** 24小时平均算力 */
    private double dailyRate;

    /** 拒绝率 */
    private double reject;

    private Date submit;

    /** 总条数 */
    private int total;

    /** 总页数 */
    private int page;

    /** 最后一次提交的时间 */
    private List<MinerDto> rows;

}
